/*
 *  A pushbutton with a pulldown resistor connected to digital pin 2
 *  on the Arduino board changes the color of a square from orange to green
 *  and vice versa
 *
 *  This example uses the Stadard Firmata installed on the Arduino board
 *  Tested with Processing 2.0b8
 *
 *   copyleft, 2011: Fabian Winkler
 */


import cc.arduino.*;
import processing.serial.*; 
 
Arduino arduino; 
int val; 
int inputPin = 2;

 
void setup() { 
  size(400, 400); 
  noStroke();
 // prints a list of all available serial ports in the debugging window below: 
  println(Arduino.list());
  //make sure you are choosing the one that works for your computer: 
  arduino = new Arduino(this, Arduino.list()[0], 57600);  
  arduino.pinMode(inputPin, Arduino.INPUT); 
} 
 
void draw() { 
  val = arduino.digitalRead(inputPin); 
  
  background(204); 
  if (val == 0) { 
    fill(255, 127, 0); // fill orange 
  } else { 
    fill(0, 170, 0); // fill green 
  } 
  rect(50, 50, 300, 300); 
} 

