/*
 *  A pushbutton with a pulldown resistor connected to digital pin 2
 *  on the Arduino board advances the frames in a stop-frame animation
 *  for as long as it is pushed down.
 *
 *  This example uses the Stadard Firmata installed on the Arduino board
 *  Tested with Processing 2.0b8
 *
 *   copyleft, 2011: Fabian Winkler
 */

import cc.arduino.*;
import processing.serial.*; 
 
Arduino arduino; 
int val;

int inputPin = 2;
int numFrames = 15;  // The number of frames in the animation 
int frame = 0; 
PImage[] images = new PImage[numFrames]; 
     
void setup() 
{ 
  
  println(Arduino.list());    
  arduino = new Arduino(this, Arduino.list()[0], 57600);  
  arduino.pinMode(inputPin, Arduino.INPUT);
  
  size(400, 300); 
  frameRate(15); 
   
  images[0]  = loadImage("money_0000.jpg"); 
  images[1]  = loadImage("money_0001.jpg");  
  images[2]  = loadImage("money_0002.jpg"); 
  images[3]  = loadImage("money_0003.jpg");  
  images[4]  = loadImage("money_0004.jpg"); 
  images[5]  = loadImage("money_0005.jpg");  
  images[6]  = loadImage("money_0006.jpg"); 
  images[7]  = loadImage("money_0007.jpg");  
  images[8]  = loadImage("money_0008.jpg"); 
  images[9]  = loadImage("money_0009.jpg");  
  images[10] = loadImage("money_0010.jpg"); 
  images[11] = loadImage("money_0011.jpg"); 
  images[12] = loadImage("money_0012.jpg"); 
  images[13] = loadImage("money_0013.jpg"); 
  images[14] = loadImage("money_0014.jpg"); 
   
  // If you don't want to load each image separately 
  // and you know how many frames you have, you 
  // can create the filenames as the program runs. 
  // The nf() command does number formatting, which will 
  // ensure that the number is (in this case) 4 digits. 
  //  for(int i=0; i<numFrames; i++) { 
  //  String imageName = "PT_anim" + nf(i, 4) + ".gif"; 
  //  images[i] = loadImage(imageName); 
  //} 
}  
  
void draw()  
{  
  val = arduino.digitalRead(inputPin);

  if (val == 1) {
   if (frame<numFrames-1) { 
     frame = (frame+1); 
   } else { 
     frame = 0; 
  }
  } 
   
  image(images[frame], 0, 0); 
} 
